Method: partners.targetingTypes.assignedTargetingOptions.delete

  • This page details how to delete an assigned targeting option from a partner using a DELETE HTTP request.

  • The DELETE request requires path parameters for partnerId, targetingType, and assignedTargetingOptionId.

  • The request body must be empty, and a successful response body will also be empty.

  • The request requires authorization with the https://www.googleapis.com/auth/display-video OAuth scope.

Deletes an assigned targeting option from a partner.

HTTP request

DELETE https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
partnerId

string (int64 format)

Required. The ID of the partner.

targetingType

enum (TargetingType)

Required. Identifies the type of this assigned targeting option.

Supported targeting types:

assignedTargetingOptionId

string

Required. The ID of the assigned targeting option to delete.

Request body

The request body must be empty.

Response body

If successful, the response body is empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.